cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
project(dkunit CXX)

include_directories(
	.
)
include_directories(SYSTEM
	../gtest-1.7.0/include
)

add_executable(${PROJECT_NAME}
	"${CMAKE_CURRENT_SOURCE_DIR}/../gtest-1.7.0/src/gtest_main.cc"
	tilecoords.cpp
	vector.cpp
	tileiterator.cpp
)

target_link_libraries(${PROJECT_NAME}
	doorkeeper
	gtest
)
